#ifndef SCSTWAPPTHEMEMANAGER_H
#define SCSTWAPPTHEMEMANAGER_H

#include <QObject>
#include <QColor>
#include "scstwapptheme.h"

class ScStwAppThemeManager : public QObject
{
    Q_OBJECT
    Q_PROPERTY(ScStwAppTheme* theme READ getTheme NOTIFY themeChanged)

public:
    explicit ScStwAppThemeManager(QObject *parent = nullptr);

private:
    QList<ScStwAppTheme*> themes;
    ScStwAppTheme* currentTheme;

    ScStwAppTheme* findThemeByName(QString themeName);

    QString lighter(QString color, double factor);

signals:
    void themeChanged();

public slots:
    ScStwAppTheme* getTheme();
    Q_INVOKABLE bool setTheme(QString themeName);

};

#endif // SCSTWAPPTHEMEMANAGER_H
